BT

如何利用碎片时间提升技术认知与能力? 点击获取答案

Eclipse 3.8M1提供Java7支持

| 作者 Alex Blewitt 关注 4 他的粉丝 ,译者 丁雪丰 关注 3 他的粉丝 发布于 2011年8月10日. 估计阅读时间: 1 分钟 | GMTC大前端的下一站,PWA、Web框架、Node等最新最热的大前端话题邀你一起共同探讨。

Eclipse Foundation已经发布了Eclipse 3.8M1,这是第一个带有Java7支持的里程碑版本。尽管之前有Beta版本,但Java7正式发布前都不能称为官方支持,最近发布的Eclipse Indigo(3.7)中也不带官方Java7支持。

Java7支持计划会放在9月发布的Eclipse 3.7.1中。3.7.1的集成构建版本里已经包含了Eclipse 3.8M1中的Java7支持,IntelliJ IDEA 10.5NetBeans 7.0.1也已经提供了Java7支持。

新变化包括:

  • 内容辅助器会提示<>操作符
  • 可以用<>操作符替换冗余的类型说明
  • 内容辅助器可以向<>中插入类型
  • 除了现有的“Surround with try/catch”,还可以用“Surround with try/multi-catch”来展开multi-catch
  • 可以用新的异常类型来展开multi-catch
  • 异常块可以组合到单个multi-catch块中
  • 用try-with-resources关闭的资源能检测到抛出的异常并将其添加到(multi-)catch块中
  • String-in-Switch可以被转换为内嵌的if/else
  • 执行环境的依赖中加入了Java7执行环境

想了解新的Java7支持的更多信息,请访问Eclipse的What's new for Java 7页面。

查看英文原文:Eclipse 3.8M1 Brings Java7 Support

评价本文

专业度
风格

您好,朋友!

您需要 注册一个InfoQ账号 或者 才能进行评论。在您完成注册后还需要进行一些设置。

获得来自InfoQ的更多体验。

告诉我们您的想法

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我
社区评论

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

讨论

登陆InfoQ,与你最关心的话题互动。


找回密码....

Follow

关注你最喜爱的话题和作者

快速浏览网站内你所感兴趣话题的精选内容。

Like

内容自由定制

选择想要阅读的主题和喜爱的作者定制自己的新闻源。

Notifications

获取更新

设置通知机制以获取内容更新对您而言是否重要

BT